diff --git a/gnu/packages/package-management.scm b/gnu/packages/package-management.scm
index ce8cebc5073..2b90d875897 100644
--- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -1081,7 +1081,7 @@ (define-public bffe
         (revision "15"))
     (package
       (name "bffe")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1697,7 +1697,7 @@ (define-public gwl/next
     (package
       (inherit gwl)
       (name "gwl-next")
-      (version (git-version "0.5.0" revision commit))
+      (version (make-git-version "0.5.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1713,7 +1713,7 @@ (define-public guix-build-coordinator
         (revision "131"))
     (package
       (name "guix-build-coordinator")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1968,7 +1968,7 @@ (define-public nar-herder
         (revision "41"))
     (package
       (name "nar-herder")
-      (version (git-version "0" revision commit))
+      (version (make-git-version "0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/parallel.scm b/gnu/packages/parallel.scm
index 9874b2b9108..04cee866c5b 100644
--- a/gnu/packages/parallel.scm
+++ b/gnu/packages/parallel.scm
@@ -529,7 +529,7 @@ (define-public python-slurm-magic
         (revision "0"))
     (package
       (name "python-slurm-magic")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (home-page "https://github.com/NERSC/slurm-magic")
       (source (origin
                 (method git-fetch)
@@ -574,11 +574,10 @@ (define-public pthreadpool
   ;; This repository has only one tag, 0.1, which is older than what users
   ;; such as XNNPACK expect.
   (let ((commit "560c60d342a76076f0557a3946924c6478470044")
-        (version "0.1")
         (revision "3"))
     (package
       (name "pthreadpool")
-      (version (git-version version revision commit))
+      (version (make-git-version "0.1" revision commit))
       (home-page "https://github.com/Maratyszcza/pthreadpool")
       (source (origin
                 (method git-fetch)
@@ -602,12 +601,11 @@ (define-public pthreadpool
 
 (define-public cpuinfo
   ;; There's currently no tag on this repo.
-  (let ((version "0.0")
-        (revision "5")
+  (let ((revision "5")
         (commit "b73ae6ce38d5dd0b7fe46dbe0a4b5f4bab91c7ea"))
     (package
       (name "cpuinfo")
-      (version (git-version version revision commit))
+      (version (make-git-version "0.0" revision commit))
       (home-page "https://github.com/pytorch/cpuinfo")
       (source (origin
                 (method git-fetch)
@@ -678,11 +676,10 @@ (define-public clog
 (define-public psimd
   ;; There is currently no tag in this repo.
   (let ((commit "072586a71b55b7f8c584153d223e95687148a900")
-        (version "0.0")
         (revision "1"))
     (package
       (name "psimd")
-      (version (git-version version revision commit))
+      (version (make-git-version "0.0" revision commit))
       (home-page "https://github.com/Maratyszcza/Psimd")
       (source (origin
                 (method git-fetch)
diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.scm
index 7e5d6acbb73..68aa94f3002 100644
--- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -495,7 +495,7 @@ (define-public pwsafe-cli
         (revision "0"))
     (package
       (name "pwsafe-cli")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1123,7 +1123,7 @@ (define-public rofi-pass
         (revision "0"))
     (package
       (name "rofi-pass")
-      (version (git-version "2.0.2" revision commit))
+      (version (make-git-version "2.0.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1405,7 +1405,7 @@ (define-public secretsd
         (revision "0"))
     (package
       (name "secretsd")
-      (version (git-version "1.0" revision commit))
+      (version (make-git-version "1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1883,7 +1883,7 @@ (define-public makepasswd
         (revision "1"))
     (package
       (name "makepasswd")
-      (version (git-version "0.5.4" revision commit))
+      (version (make-git-version "0.5.4" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1919,7 +1919,7 @@ (define-public pass-tomb
         (revision "0"))
     (package
       (name "pass-tomb")
-      (version (git-version "1.3" revision commit))
+      (version (make-git-version "1.3" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/patchutils.scm b/gnu/packages/patchutils.scm
index 511f8bfead6..d0fb3fedcc0 100644
--- a/gnu/packages/patchutils.scm
+++ b/gnu/packages/patchutils.scm
@@ -71,7 +71,7 @@ (define-public coccinelle
         (commit "6608e45f85a10c57a3c910154cf049a5df4d98e4"))
     (package
       (name "coccinelle")
-      (version (git-version "1.1.1" revision commit))
+      (version (make-git-version "1.1.1" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index 58260fcf015..b4ea30e9f2e 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -253,7 +253,7 @@ (define-public diffpdf
         (revision "1"))
     (package
       (name "diffpdf")
-      (version (git-version "2.1.3.1" revision commit))
+      (version (make-git-version "2.1.3.1" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -1833,7 +1833,7 @@ (define-public sioyek
         (revision "1"))
     (package
       (name "sioyek")
-      (version (git-version "2.0.0" revision commit))
+      (version (make-git-version "2.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/perl6.scm b/gnu/packages/perl6.scm
index 317a1bd021b..2d59a2127ab 100644
--- a/gnu/packages/perl6.scm
+++ b/gnu/packages/perl6.scm
@@ -314,7 +314,7 @@ (define-public perl6-format-lisp
         (revision "0"))
     (package
       (name "perl6-format-lisp")
-      (version (git-version "0.0.2" revision commit))
+      (version (make-git-version "0.0.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -338,7 +338,7 @@ (define-public perl6-grammar-debugger
         (revision "1"))
     (package
       (name "perl6-grammar-debugger")
-      (version (git-version "1.0.1" revision commit))
+      (version (make-git-version "1.0.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -366,7 +366,7 @@ (define-public perl6-grammar-profiler-simple
         (revision "1"))
     (package
       (name "perl6-grammar-profiler-simple")
-      (version (git-version "0.02" revision commit))
+      (version (make-git-version "0.02" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -543,7 +543,7 @@ (define-public perl6-json-unmarshal
         (revision "1"))
     (package
       (name "perl6-json-unmarshal")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -670,7 +670,7 @@ (define-public perl6-svg
         (revision "1"))
     (package
       (name "perl6-svg")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -697,7 +697,7 @@ (define-public perl6-svg-plot
         (revision "1"))
     (package
       (name "perl6-svg-plot")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -795,7 +795,7 @@ (define-public perl6-test-mock
         (revision "0"))
     (package
       (name "perl6-test-mock")
-      (version (git-version "1.5" revision commit))
+      (version (make-git-version "1.5" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -848,7 +848,7 @@ (define-public perl6-xml-writer
         (revision "1"))
     (package
       (name "perl6-xml-writer")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/phabricator.scm b/gnu/packages/phabricator.scm
index d6c0f03d013..beba9998f7e 100644
--- a/gnu/packages/phabricator.scm
+++ b/gnu/packages/phabricator.scm
@@ -31,7 +31,7 @@ (define-public arcanist
         (revision "2"))
     (package
       (name "arcanist")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/photo.scm b/gnu/packages/photo.scm
index 920ae37a78d..32d2071277c 100644
--- a/gnu/packages/photo.scm
+++ b/gnu/packages/photo.scm
@@ -657,7 +657,7 @@ (define-public ansel
         (revision "1"))
     (package
       (name "ansel")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/piet.scm b/gnu/packages/piet.scm
index 326520adf30..14158a5e6f5 100644
--- a/gnu/packages/piet.scm
+++ b/gnu/packages/piet.scm
@@ -80,7 +80,7 @@ (define-public piet-toolchain
         (revision "0"))
     (package
       (name "piet-toolchain")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -110,7 +110,8 @@ (define-public piet-toolchain
                (let* ((out (assoc-ref outputs "out"))
                       (bin (string-append out "/bin"))
                       (doc (string-append out "/share/doc/"
-                                          ,name "-" ,version)))
+                                          ,name "-"
+                                          ,(package-version this-package))))
                  (for-each (lambda (script)
                              (install-file script bin)
                              (wrap-program (string-append bin "/" script)
diff --git a/gnu/packages/plan9.scm b/gnu/packages/plan9.scm
index c60025b5458..e10c53ea3b9 100644
--- a/gnu/packages/plan9.scm
+++ b/gnu/packages/plan9.scm
@@ -44,7 +44,7 @@ (define-public diod
         (revision "1"))
     (package
       (name "diod")
-      (version (git-version "1.0.24" revision commit))
+      (version (make-git-version "1.0.24" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -76,7 +76,7 @@ (define-public drawterm
         (commit "f11139d4c918802a87730bc14d094670ee4ce572"))
     (package
       (name "drawterm")
-      (version (git-version "20240703" revision commit))
+      (version (make-git-version "20240703" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -131,7 +131,7 @@ (define-public plan9port
         (revision "1"))
     (package
       (name "plan9port")
-      (version (git-version "0.1.0" revision commit))
+      (version (make-git-version "0.1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/plotutils.scm b/gnu/packages/plotutils.scm
index 5276f96fea3..cf4794c94cd 100644
--- a/gnu/packages/plotutils.scm
+++ b/gnu/packages/plotutils.scm
@@ -215,7 +215,7 @@ (define-public guile-charting
         (revision "1"))
     (package
       (name "guile-charting")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
diff --git a/gnu/packages/potassco.scm b/gnu/packages/potassco.scm
index 9c6f42bdec6..38651b2e939 100644
--- a/gnu/packages/potassco.scm
+++ b/gnu/packages/potassco.scm
@@ -53,7 +53,7 @@ (define-public libpotassco
         (commit "2eecf5f066fe1f77c9122547f7e07ba1e8c1dcdf"))
     (package
       (name "libpotassco")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -354,7 +354,7 @@ (define-public emacs-pasp-mode
         (revision "1"))
     (package
      (name "emacs-pasp-mode")
-     (version (git-version "0.1.0" revision commit))
+     (version (make-git-version "0.1.0" revision commit))
      (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -382,7 +382,8 @@ (define-public emacs-pasp-mode
                    (beginning-of-line)
                    (kill-sexp)
                    (insert (format "(defconst emacs-pasp-version \"%s\" %s)"
-                                   #$version (cadr kill-ring)))
+                                   #$(package-version this-package)
+                                   (cadr kill-ring)))
                    (basic-save-buffer)))))
            (add-after 'unpack 'hardcode-clingo
              (lambda* (#:key inputs #:allow-other-keys)
@@ -544,7 +545,7 @@ (define-public python-asprin
         (commit "bc5a0cf7d9ba346cf91cba66282b5946dbf1331c"))
     (package
      (name "python-asprin")
-     (version (git-version "3.1.1" revision commit))
+     (version (make-git-version "3.1.1" revision commit))
      (source (origin
               (method git-fetch)
               (uri (git-reference
diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 66320312f75..236e7799eb9 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -149,7 +149,7 @@ (define-public python-assay
         (revision "0"))
     (package
       (name "python-assay")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -679,7 +679,7 @@ (define-public python-expecttest
         (revision "0"))
     (package
       (name "python-expecttest")
-      (version (git-version "0.2.1" revision commit))
+      (version (make-git-version "0.2.1" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1076,7 +1076,7 @@ (define-public python-junit-xml
         (revision "0"))
     (package
       (name "python-junit-xml")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (home-page "https://github.com/kyrus/python-junit-xml")
       (source (origin
                 (method git-fetch)
@@ -2997,7 +2997,7 @@ (define-public python-pytest-shard
         (revision "0"))
     (package
       (name "python-pytest-shard")
-      (version (git-version "0.1.2" revision commit))
+      (version (make-git-version "0.1.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3397,7 +3397,7 @@ (define-public python-pytest-vcr
         (revision "1"))
     (package
       (name "python-pytest-vcr")
-      (version (git-version "1.0.2" revision commit))
+      (version (make-git-version "1.0.2" revision commit))
       (source
         (origin
           (method git-fetch)
@@ -3616,7 +3616,7 @@ (define-public python-scspell3k
         (revision "0"))
     (package
       (name "python-scspell3k")
-      (version (git-version "2.3.0" revision commit))
+      (version (make-git-version "2.3.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3743,7 +3743,7 @@ (define-public python-sure
         (revision "0"))
     (package
       (name "python-sure")
-      (version (git-version "2.0.1" revision commit))
+      (version (make-git-version "2.0.1" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/python-graphics.scm b/gnu/packages/python-graphics.scm
index 3d03ce93c39..1ddf16fd5dc 100644
--- a/gnu/packages/python-graphics.scm
+++ b/gnu/packages/python-graphics.scm
@@ -138,7 +138,7 @@ (define-public python-glcontext
         (commit "f2875abdb18b24e785c3958cc22845c81725d5cd"))
     (package
       (name "python-glcontext")
-      (version (git-version "3.0.0" revision commit))
+      (version (make-git-version "3.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index b71f6935389..4b167e1c004 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -353,7 +353,7 @@ (define-public python-apted
         (revision "0"))
     (package
       (name "python-apted")
-      (version (git-version "1.0.3" revision commit))
+      (version (make-git-version "1.0.3" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -991,7 +991,7 @@ (define-public python-deepdish
         (revision "0"))
     (package
       (name "python-deepdish")
-      (version (git-version "0.3.7" revision commit))
+      (version (make-git-version "0.3.7" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -1711,7 +1711,7 @@ (define-public python-mpsplines
         (revision "0"))
     (package
       (name "python-mpsplines")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2942,7 +2942,7 @@ (define-public python-scikit-survival
         (commit "bceb53ebb8306f959c70fae2be9d552f33dd3f21"))
     (package
       (name "python-scikit-survival")
-      (version (git-version "0.22.2" revision commit))
+      (version (make-git-version "0.22.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -2963,7 +2963,8 @@ (define-public python-scikit-survival
             (add-before 'build 'set-version
               (lambda _
                 (setenv "SETUPTOOLS_SCM_PRETEND_VERSION"
-                        #$(version-major+minor version)))))))
+                        #$(version-major+minor
+                           (package-version this-package))))))))
       (propagated-inputs
        (list python-ecos
              python-importlib-resources
diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 6232fe7c0a1..60b670c7e2e 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -2737,7 +2737,7 @@ (define-public python-pyscss
         (revision "0"))
     (package
       (name "python-pyscss")
-      (version (git-version "1.4.0" revision commit))
+      (version (make-git-version "1.4.0" revision commit))
       (source
        (origin
          (method git-fetch)               ; no tests in PyPI release
@@ -3072,7 +3072,7 @@ (define-public python-flask-assets
         (revision "1"))
     (package
       (name "python-flask-assets")
-      (version (git-version "2.1.0" revision commit))
+      (version (make-git-version "2.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -3486,7 +3486,7 @@ (define-public python-omnipath
         (revision "0"))
     (package
       (name "python-omnipath")
-      (version (git-version "1.0.8" revision commit))
+      (version (make-git-version "1.0.8" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -5417,7 +5417,7 @@ (define-public oauth2ms
         (revision "0"))
     (package
       (name "oauth2ms")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -5431,7 +5431,8 @@ (define-public oauth2ms
       (arguments
        (list #:install-plan #~`(("oauth2ms" "bin/oauth2ms")
                                 ("." #$(string-append "share/doc/" name "-"
-                                                      version "/")
+                                                      (package-version
+                                                       this-package) "/")
                                  #:include-regexp ("\\.org$")))
              #:phases #~(modify-phases %standard-phases
                           (add-after 'install 'wrap-pythonpath
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index ce7ef03d470..d2cdaafa15a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -2017,7 +2017,7 @@ (define-public python-colored-traceback
         (revision "0"))
     (package
       (name "python-colored-traceback")
-      (version (git-version "0.4.2" revision commit))
+      (version (make-git-version "0.4.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4095,7 +4095,7 @@ (define-public python-hdf5storage
         (revision "0"))
     (package
       (name "python-hdf5storage")
-      (version (git-version "0.1.19" revision commit))
+      (version (make-git-version "0.1.19" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -4131,7 +4131,7 @@ (define-public python-hjson
         (commit "1687b811fcbbc54b5ac71cfbaa99f805e406fbcb"))
     (package
       (name "python-hjson")
-      (version (git-version "3.1.0" revision commit))
+      (version (make-git-version "3.1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -8974,7 +8974,7 @@ (define-public python-robotframework-lint
         (revision "0"))
     (package
       (name "python-robotframework-lint")
-      (version (git-version "1.1"      ;version taken from 'rflint/version.py'
+      (version (make-git-version "1.1"      ;version taken from 'rflint/version.py'
                             revision commit))
       (source
        (origin
@@ -12768,7 +12768,7 @@ (define-public python-ffmpeg-python
   (let ((commit "df129c7ba30aaa9ffffb81a48f53aa7253b0b4e6") (revision "0"))
     (package
       (name "python-ffmpeg-python")
-      (version (git-version "0.2.0" revision commit))
+      (version (make-git-version "0.2.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -17938,7 +17938,7 @@ (define-public wfetch
         (revision "2"))
     (package
       (name "wfetch")
-      (version (git-version "0.1-pre" revision commit))
+      (version (make-git-version "0.1-pre" revision commit))
       (home-page "https://github.com/Gcat101/Wfetch")
       (source
        (origin
@@ -20240,7 +20240,7 @@ (define-public python-args
         (revision "0"))
     (package
       (name "python-args")
-      (version (git-version "0.1.0" revision commit))
+      (version (make-git-version "0.1.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -26924,7 +26924,7 @@ (define-public python-rfc6555
         (revision "1"))
     (package
       (name "python-rfc6555")
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -27955,7 +27955,7 @@ (define-public python-pyclibrary
         (revision "0"))
     (package
       (name "python-pyclibrary")
-      (version (git-version "0.2.2" revision commit))
+      (version (make-git-version "0.2.2" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -28372,7 +28372,7 @@ (define-public python-gyp
       (name "python-gyp")
       ;; Google does not release versions,
       ;; based on second most recent commit date.
-      (version (git-version "0.0.0" revision commit))
+      (version (make-git-version "0.0.0" revision commit))
       (source
        (origin
          ;; Google does not release tarballs,
@@ -30778,7 +30778,7 @@ (define-public python-construct
         (revision "1"))
     (package
       (name "python-construct")
-      (version (git-version "2.10.70" revision commit))
+      (version (make-git-version "2.10.70" revision commit))
       (source
        (origin
          ;; There are no tests in the PyPI tarball.
@@ -33118,7 +33118,7 @@ (define-public python-py-cpuinfo
         (revision "1"))
     (package
       (name "python-py-cpuinfo")
-      (version (git-version "8.0.0" revision commit))
+      (version (make-git-version "8.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -33408,7 +33408,7 @@ (define-public python-txsni
         (revision "0"))
     (package
       (name "python-txsni")
-      (version (git-version "0.1.9" revision commit))
+      (version (make-git-version "0.1.9" revision commit))
       (home-page "https://github.com/glyph/txsni")
       (source
        (origin
@@ -34814,7 +34814,7 @@ (define-public python-version
         (revision "1"))
     (package
       (name "python-version")
-      (version (git-version "0.0.2" revision commit))
+      (version (make-git-version "0.0.2" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -35889,7 +35889,7 @@ (define-public python-redo
         (revision "0"))
     (package
       (name "python-redo")
-      (version (git-version "2.0.4" revision commit))
+      (version (make-git-version "2.0.4" revision commit))
       (source
        (origin
          (method git-fetch) ; There are no tests in the PyPI release.
@@ -36411,7 +36411,7 @@ (define-public python-peachpy
         (revision "3"))
     (package
       (name "python-peachpy")
-      (version (git-version version revision commit))
+      (version (make-git-version version revision commit))
       (home-page "https://github.com/Maratyszcza/PeachPy")
       (source (origin
                 (method git-fetch)
@@ -36449,7 +36449,7 @@ (define-public python-sgmllib3k
     (package
       (name "python-sgmllib3k")
       (version
-       (git-version "1.0.0" revision commit))
+       (make-git-version "1.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -36810,7 +36810,7 @@ (define-public date2name
         (revision "1"))
     (package
       (name "date2name")
-      (version (git-version "0.0" revision commit))
+      (version (make-git-version "0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -37277,7 +37277,7 @@ (define-public python-fields
         (revision "0"))
     (package
       (name "python-fields")
-      (version (git-version "5.0.0" revision commit))
+      (version (make-git-version "5.0.0" revision commit))
       (source
        (origin
          (method git-fetch)
@@ -38738,7 +38738,7 @@ (define-public python-flatten-json
         (revision "0"))
     (package
       (name "python-flatten-json")
-      (version (git-version "0.1.14" revision commit))
+      (version (make-git-version "0.1.14" revision commit))
       (source
        (origin
          (method git-fetch) ; no tests in PyPI release
@@ -39462,7 +39462,7 @@ (define-public python-biblib
         (revision "1"))
     (package
       (name "python-biblib")
-      (version (git-version upstream-version revision commit))
+      (version (make-git-version upstream-version revision commit))
       (source
        (origin
          (method git-fetch)